×

Discussion Board

Results 1 to 8 of 8
  1. #1
    Regular Contributor
    Join Date
    Feb 2005
    Location
    Kista, Sweden
    Posts
    267

    Which SE devices support the NokiaUI API?

    I need to find out which SonyEricsson devices that support the NokiaUI API. Where can I find that information?

  2. #2
    Super Contributor
    Join Date
    Mar 2008
    Location
    The Capital of INDIA
    Posts
    4,328

    Re: Which SE devices support the NokiaUI API?

    Quote Originally Posted by MobileVisuals View Post
    I need to find out which SonyEricsson devices that support the NokiaUI API. Where can I find that information?
    Well I wonder if this Nokia UI API can be supported by any of the device except the Nokia's itself.Since this API was designed by the Nokia ,mainly for the older and Low end device and hence you can give this a try on the Older SE devices.But Hardly it can work.

    What is the requirement for which you wanna use this?
    Thanks with Regards,

    R a j - The K e r n e l


    Join Delhi-NCR Nokia Developer's Community,

  3. #3
    Super Contributor
    Join Date
    Jun 2003
    Location
    Cheshire, UK
    Posts
    7,395

    Re: Which SE devices support the NokiaUI API?

    All Sony Ericsson devices from JP2 (K700/K500) onwards support the Nokia API 1.0. That's all the MIDP-2 devices, running SE's own platform. Those SE devices running Series 60 will also support it, probably a later version. Devices running Symbian UIQ (P800/P900), Android or Windows Mobile don't support the Nokia API.

    It's worth avoiding the Nokia API, unless you're supporting Nokia MIDP-1 devices.

    Graham.

  4. #4
    Regular Contributor
    Join Date
    Feb 2005
    Location
    Kista, Sweden
    Posts
    267

    Re: Which SE devices support the NokiaUI API?

    I see, the only reason that I want to use NokiaUI API is because it contains a method for filling polygons. My product Astral effects is on Playnow and I am considering to add a build of it that uses NokiaUI API,but I am not sure that it is worth it. It seems that not that many of the new SE devices have NokiaUI API.

    You say that all devices from JP2 support it. The information below is supplied on Playnow developer portal. There is no info on which OS they run. Do you know which of the mobiles listed below that have SE's own platform or Series 60?

    * JP-6.0
    o K320
    o K510
    o S500i
    o W200
    o W300
    o W550
    o W600
    o W810
    o W900
    o Z530
    o Z550
    o Z558
    * JP-7.0
    o K550i
    o K610i
    o K770i
    o K790i
    o K800i
    o K810i
    o T650i
    o W350a
    o W350i
    o W380a
    o W380i
    o W580i
    o W610i
    o W660i
    o W710
    o W830i
    o W850i
    o W880i
    o Z310
    o Z555a
    o Z555i
    o Z610
    o Z710
    * JP-8.0 - JP-8.2
    o G502
    o K630i
    o K660i
    o K850a
    o K850i
    o V640
    o W890i
    o W910i
    o Z750
    o Z770
    * JP-8.3
    o C702
    o C902
    o T700
    o W595
    o W595a
    o W760a
    o W760i
    o W902
    o W980
    o Z780
    * JP-8.4
    o C510
    o C510a
    o C901a
    o C903
    o C903a
    o C905
    o C905a
    o G705
    o G705u
    o Jalou
    o Naite
    o T707
    o T707a
    o W508
    o W508a
    o W705
    o W705a
    o W715
    o W995
    o W995a
    * JP-8.5
    o Aino
    o Yari
    * JP-Wm-SEMC-2.0.937.4
    o X2
    * SJP-5.0.0


    Quote Originally Posted by grahamhughes View Post
    All Sony Ericsson devices from JP2 (K700/K500) onwards support the Nokia API 1.0. That's all the MIDP-2 devices, running SE's own platform. Those SE devices running Series 60 will also support it, probably a later version. Devices running Symbian UIQ (P800/P900), Android or Windows Mobile don't support the Nokia API.

    It's worth avoiding the Nokia API, unless you're supporting Nokia MIDP-1 devices.

    Graham.

  5. #5
    Super Contributor
    Join Date
    Apr 2007
    Posts
    2,708

    Re: Which SE devices support the NokiaUI API?

    You might find this very very interesting :
    http://developer.sonyericsson.com/wp...-1?cc=gb&lc=en

    You also might want to check the developers sites of the devices Manufacturer you are interested in developing for...
    In this case it was a pretty fast search on the sony ericsson developer site, took me about 3 minutes, probably less than the time it took for you to type your posts...

  6. #6
    Regular Contributor
    Join Date
    Feb 2005
    Location
    Kista, Sweden
    Posts
    267

    Re: Which SE devices support the NokiaUI API?

    Thanks, that was a useful document. It is from August 2008, do you know if any newer version of it is available?

  7. #7
    Super Contributor
    Join Date
    Jun 2003
    Location
    Cheshire, UK
    Posts
    7,395

    Re: Which SE devices support the NokiaUI API?

    Quote Originally Posted by MobileVisuals View Post
    * JP-6.0
    o K320
    o K510
    o S500i
    o W200
    o W300
    o W550
    o W600
    o W810
    o W900
    o Z530
    o Z550
    o Z558
    * JP-7.0
    o K550i
    o K610i
    o K770i
    o K790i
    o K800i
    o K810i
    o T650i
    o W350a
    o W350i
    o W380a
    o W380i
    o W580i
    o W610i
    o W660i
    o W710
    o W830i
    o W850i
    o W880i
    o Z310
    o Z555a
    o Z555i
    o Z610
    o Z710
    * JP-8.0 - JP-8.2
    o G502
    o K630i
    o K660i
    o K850a
    o K850i
    o V640
    o W890i
    o W910i
    o Z750
    o Z770
    * JP-8.3
    o C702
    o C902
    o T700
    o W595
    o W595a
    o W760a
    o W760i
    o W902
    o W980
    o Z780
    * JP-8.4
    o C510
    o C510a
    o C901a
    o C903
    o C903a
    o C905
    o C905a
    o G705
    o G705u
    o Jalou
    o Naite
    o T707
    o T707a
    o W508
    o W508a
    o W705
    o W705a
    o W715
    o W995
    o W995a
    * JP-8.5
    o Aino
    o Yari
    All of these should support the Nokia UI API.

    Graham.

  8. #8
    Registered User
    Join Date
    Mar 2003
    Posts
    4,105
    Quote Originally Posted by MobileVisuals View Post
    Do you know if any newer version of it is available?
    Internet searching is not strength, is it?

Similar Threads

  1. Bluetooth API not listing paired devices in Java ME
    By harriskorn in forum Mobile Java Networking & Messaging & Security
    Replies: 1
    Last Post: 2010-01-22, 09:15
  2. RDA Support for Series 40 devices
    By nagkumar in forum Mobile Java Tools & SDKs
    Replies: 1
    Last Post: 2009-10-03, 07:00
  3. real SSCD support for JSR 177 on Nokia devices
    By 4midp in forum Mobile Service Architecture (Closed)
    Replies: 1
    Last Post: 2009-09-18, 16:19
  4. Advanced Multimedia Supplements (JSR-234) API support in lower version phones
    By ashishgavande in forum Mobile Java Media (Graphics & Sounds)
    Replies: 3
    Last Post: 2008-03-27, 05:06
  5. devices list filtered by API support
    By matrix241 in forum Feedback - Nokia Developer Services & Infrastructure
    Replies: 2
    Last Post: 2007-10-16, 18:55

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×